net.minecraft.client.renderer.entity

## Class RenderFish

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render
  - - net.minecraft.client.renderer.entity.RenderFish

-     public class RenderFish
      extends Render

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderFish()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)` Actually renders the given argument.
    `void` | `doRenderFishHook(EntityFishHook par1EntityFishHook, double par2, double par4, double par6, float par8, float par9)` Actually renders the fishing line and hook

    - ### Methods inherited from class net.minecraft.client.renderer.entity.Render

      `doRenderShadowAndFire, func_94143_a, getFontRendererFromRenderManager, renderAABB, renderOffsetAABB, setRenderManager`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderFish

          public RenderFish()

  - ### Method Detail

    - #### doRenderFishHook

          public void doRenderFishHook(EntityFishHook par1EntityFishHook,
                              double par2,
                              double par4,
                              double par6,
                              float par8,
                              float par9)

      Actually renders the fishing line and hook

    - #### doRender

          public void doRender(Entity par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Actually renders the given argument. This is a synthetic bridge method, always casting down its argument and then handing it off to a worker function which does the actual work. In all probabilty, the class Render is generic (Render
      Specified by:
        `doRender` in class `Render`